unit DbDlgUnit;
(*   Author: Jadranko Darko Ivancevic
     E-mail: jadranko.ivancevic@informatika.si
             s58q@qsl.net
     Status: Freeware with source*)

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, Boxes, DBTables, CmbBox97, TB97Ctls;

type
  TDbDlgFrm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    TableList: TListBox;
    Dtb: TDatabase;
    cbDatabaseName: TComboBox;
    edTableName: TEdit;
    procedure cbDatabaseNameChange(Sender: TObject);
    procedure TableListClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TableListDblClick(Sender: TObject);
    procedure ShowDatabase;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
function ShowDbDlg: boolean;
var
  DbDlgFrm: TDbDlgFrm;


implementation

{$R *.DFM}

function ShowDbDlg: boolean;
begin
  Result:= False;
  DbDlgFrm:= TDbDlgFrm.Create(Application);
  try
    if DbDlgFrm.ShowModal = mrOK then
      Result:= True;
  finally
    DbDlgFrm.Free;
  end;
end;



procedure TDbDlgFrm.cbDatabaseNameChange(Sender: TObject);
begin
 Dtb.Session.GetTableNames(cbDatabasename.Items[cbDatabasename.ItemIndex],
                           '', False, False,
                           TableList.Items);
  edTableName.Clear;
end;


procedure TDbDlgFrm.TableListClick(Sender: TObject);
begin
 edTableName.Text:= TableList.Items[TableList.ItemIndex];
end;

procedure TDbDlgFrm.FormCreate(Sender: TObject);
begin
  ShowDatabase;
end;

procedure TDbDlgFrm.TableListDblClick(Sender: TObject);
begin
  edTableName.Text:= TableList.Items[TableList.ItemIndex];
  ModalResult:= mrOK;
end;
procedure TDbDlgFrm.ShowDatabase;
begin
  Dtb.Session.GetAliasNames(cbDatabasename.Items);
  cbDatabaseName.Text:= Dtb.DatabaseName;
  Dtb.Session.GetTableNames(cbDatabasename.Text, '', False, False, TableList.Items);
end;
procedure TDbDlgFrm.FormShow(Sender: TObject);
begin
  ShowDatabase;
end;


end.
